
{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<script>   
        function seleccionar(id, xproyecto){
             document.formampliacion.asignacion.value=id;
             document.formampliacion.auditoria.value=xproyecto;
        }        
        function buscar_trabajo(xtrabajo){
          $.ajax({
              data: {'xtrabajo': xtrabajo },
              url: '/administrador/ampliacion/buscar_trabajo',
              type: 'get',
              success: function(data) {                           
                html = ''  
                for(i=0; i<data.length; i++){
                   html+="<tr>";
                   html+="<td>"+data[i].proyecto__nombre_proyecto+"</td>"; 
                   html+="<td>"+data[i].personal__nombre+"</td>"; 
                   html+='<td><button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="seleccionar('+data[i].id+',';
                   html+="'"+data[i].proyecto__nombre_proyecto+"'"+');">Seleccionar</button></td>'; 
                   html+="</tr>";     
                }
                $('#cuerpo').html(html); 
              },
              error: function(message) {
                console.log(message);
              },
            });
        }
</script>
<div class="x_title">
    <h2><i class="fa fa-plus"></i> {{ title }}</h2>
    <div class="clearfix"></div>
</div>
<form id="formampliacion" name="formampliacion" method="post" action="." >
    {% csrf_token %}
    <input type="hidden" name="action" value="{{ action }}">
    {% comment %}{% if form.errors %}
        <div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
            <span class="sr-only">Error:</span>
            Ha ocurrido un error al querer guardar el registro
            <ul>
                {% for field in form %}
                    {% for error in field.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                {% endfor %}
            </ul>
        </div>
    {% endif %}{% endcomment %}
    <div class="form-group">
        <label for="campo">Trabajo de auditoria:</label>
        <input id="auditoria" name="auditoria" type="text", readonly="readonly", placeholder="Click aqui para seleccionar el trabajo para su ampliacion", data-toggle="modal", data-target=".bs-example-modal-lg" class="form-control">
    </div>
    
    {% for field in form.visible_fields %}
        <div class="form-group">
            <label for="email">{{ field.label }}:</label>
            {{ field }}
        </div>
    {% endfor %}

    <div class="ln_solid"></div>
    <div class=" ">
        <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> Guardar registro</button>
        <a href="{{ list_url }}" class="btn btn-success"><i class="fa fa-times"></i> Cancelar</a>
    </div>
</form>

    <!---------------- MODAL PARA BUSCAR   ------------------------->
    <div class="modal fade bs-example-modal-lg" id="bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
    
              <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel">Buscar trabajo de auditoria</h4>
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="formactividad" name="formactividad" action="/administrador/estructurae/crear" method="POST"> {% csrf_token %}
                    Trabajo de auditoria
                    <input id="proyecto" name="proyecto" type="text" value="" class="form-control" onchange="buscar_trabajo(this.value);" >                    
                    <input id="action" name="action" type="hidden" value="add">
                    <table class="table">
                     <thead>
                       <th>Trabajo</th>
                       <th>Auditor</th>
                       <th>Opcion</th>
                     </thead>
                    <tbody id="cuerpo" name="cuerpo">                      
                    </tbody>
                </table>
                </form>    
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="alert('bien');">Seleccionar</button>
              </div>
    
            </div>
          </div>
        </div> 
    <!---------------- MODAL PARA BUSCAR   ------------------------->

{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>   
{% endblock %}